io.undertow.server.handlers.encoding

## Class RequestEncodingHandler

- java.lang.Object
- - io.undertow.server.handlers.encoding.RequestEncodingHandler

All Implemented Interfaces:
  HttpHandler

    public class RequestEncodingHandler
    extends Object
    implements HttpHandler

Handler that serves as the basis for request content encoding.

This is not part of the HTTP spec, however there are some applications where it is useful.

It behaves in a similar manner to `EncodingHandler`, however it deals with the requests content encoding.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `RequestEncodingHandler.Builder`

### Constructor Summary

Constructors
Constructor and Description
`RequestEncodingHandler(HttpHandler next)`

### Method Summary

All Methods Instance Methods Concrete Methods
`RequestEncodingHandler` `addEncoding(String name, ConduitWrapper<org.xnio.conduits.StreamSourceConduit> wrapper)`
`HttpHandler` `getNext()`
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.
`RequestEncodingHandler` `removeEncoding(String encoding)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestEncodingHandler

    public RequestEncodingHandler(HttpHandler next)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`

#### addEncoding

    public RequestEncodingHandler addEncoding(String name,
                                              ConduitWrapper<org.xnio.conduits.StreamSourceConduit> wrapper)

#### removeEncoding

    public RequestEncodingHandler removeEncoding(String encoding)

#### getNext

    public HttpHandler getNext()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`